FreeMat

- Main Page
- Related Pages

vtkImageGaussianSource

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageGaussianSource just produces images with pixel values determined by a Gaussian.

To create an instance of class vtkImageGaussianSource, simply invoke its constructor as follows

      obj = vtkImageGaussianSource

# Methods

The class vtkImageGaussianSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageGaussianSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageGaussianSource = obj.NewInstance ()`
- `vtkImageGaussianSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)` - Set/Get the extent of the whole output image.
- `obj.SetCenter (double , double , double )` - Set/Get the center of the Gaussian.
- `obj.SetCenter (double a[3])` - Set/Get the center of the Gaussian.
- `double = obj. GetCenter ()` - Set/Get the center of the Gaussian.
- `obj.SetMaximum (double )` - Set/Get the Maximum value of the gaussian
- `double = obj.GetMaximum ()` - Set/Get the Maximum value of the gaussian
- `obj.SetStandardDeviation (double )` - Set/Get the standard deviation of the gaussian
- `double = obj.GetStandardDeviation ()` - Set/Get the standard deviation of the gaussian